Skip to content

Copiers

Manage copy traders that replicate trades from strategies.

MethodPathDescription
GET/v1/copiersList copiers
GET/v1/copiers/:idGet copier
POST/v1/copiersCreate copier
PATCH/v1/copiers/:idUpdate copier
DELETE/v1/copiers/:idDelete copier
POST/v1/copiers/:id/startStart copier
POST/v1/copiers/:id/stopStop copier

GET /v1/copiers
Terminal window
curl https://api.tokenbot.com/v1/copiers \
-H "X-API-Key: tb_live_your_key"

GET /v1/copiers/:id

POST /v1/copiers

Request Body:

{
"strategy_id": "str_abc123",
"exchange_account_id": "exc_def456",
"name": "My BTC Copier"
}
Terminal window
curl -X POST https://api.tokenbot.com/v1/copiers \
-H "X-API-Key: tb_live_your_key" \
-H "Content-Type: application/json" \
-d '{"strategy_id":"str_abc123","exchange_account_id":"exc_def456","name":"My BTC Copier"}'

PATCH /v1/copiers/:id

DELETE /v1/copiers/:id

POST /v1/copiers/:id/start

Activates the copier to begin replicating trades.

Terminal window
curl -X POST https://api.tokenbot.com/v1/copiers/cop_abc123/start \
-H "X-API-Key: tb_live_your_key"

POST /v1/copiers/:id/stop

Pauses the copier. Existing positions are not closed.

Terminal window
curl -X POST https://api.tokenbot.com/v1/copiers/cop_abc123/stop \
-H "X-API-Key: tb_live_your_key"